import Logger from './Logger';
export type XLogLevel = 'debug' | 'info' | 'warn' | 'error';
export declare class XLogger extends Logger {
    constructor(config?: Partial<XLogger> & {
        author: string;
    });
    persist: boolean;
    outDir: string;
    fileSuffix: string;
    author: string;
    logLevel: XLogLevel[];
    get stamp(): string;
    private filepath;
    debug: (msg: string, data?: any) => void;
    debugAs: (author: string, msg: string, data?: any) => void;
    info: (msg: string, data?: any) => void;
    infoAs: (author: string, msg: string, data?: any) => void;
    warn: (msg: string, data?: any) => void;
    warnAs: (author: string, msg: string, data?: any) => void;
    error: (msg: string, data?: any) => void;
    errorAs: (author: string, msg: string, err: Error) => void;
    doPersist: (level: string, msg: string, data: any) => void;
}
export default XLogger;
