import { DateTime } from 'luxon';
import XLogger from '../log/XLogger';
export type TickState = {
    age: number;
    now: DateTime;
    lastTime: DateTime;
    startTime: DateTime;
};
export declare class Ticker {
    constructor(config?: Partial<Ticker>);
    log: XLogger;
    tick_rate: number;
    max_age: number;
    tickState: TickState;
    private _interval;
    start(): Promise<void>;
    play(): void;
    pause(): void;
    stop(err?: Error): void;
    tick(): Promise<void>;
    protected resolve(value: unknown): void;
    protected reject(value: unknown): void;
    onTick(): Promise<void>;
}
export default Ticker;
